
Redmine - Defect #6839

Hardcoded absolute links in my/page_layout

2010-11-05 12:08 - Clemens Hammacher

Status: Closed Start date: 2010-11-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 1.0.4   

Resolution: Fixed Affected version: 1.0.2

Description

Since this bug is independent from any other software versions, I am omitting the usual information.

There are absolute links hardcoded in redmine views, which does not work if redmine is hosted in some subdirectory (e.g.

"/redmine").

This is the location I found so far, but I don't know if it's the only one.

In app/views/my/page_layout.rhtml:

        Sortable.create("list-top", {constraint:false, containment:['list-top','list-left','list-r

ight'], dropOnEmpty:true, handle:'handle', onUpdate:function(){new Ajax.Request('/my/order_blocks?

group=top', {asynchronous:true, evalScripts:true, parameters:Sortable.serialize("list-top")})}, on

ly:'mypage-box', tag:'div'})

        Sortable.create("list-left", {constraint:false, containment:['list-top','list-left','list-

right'], dropOnEmpty:true, handle:'handle', onUpdate:function(){new Ajax.Request('/my/order_blocks

?group=left', {asynchronous:true, evalScripts:true, parameters:Sortable.serialize("list-left")})},

 only:'mypage-box', tag:'div'})

        Sortable.create("list-right", {constraint:false, containment:['list-top','list-left','list

-right'], dropOnEmpty:true, handle:'handle', onUpdate:function(){new Ajax.Request('/my/order_block

s?group=right', {asynchronous:true, evalScripts:true, parameters:Sortable.serialize("list-right")}

)}, only:'mypage-box', tag:'div'})

 They should be replaced by

        Sortable.create("list-top", {constraint:false, containment:['list-top','list-left','list-r

ight'], dropOnEmpty:true, handle:'handle', onUpdate:function(){new Ajax.Request('<%= url_for(:cont

roller => 'my', :action => 'order_blocks', 'group' => 'top') %>', {asynchronous:true, evalScripts:

true, parameters:Sortable.serialize("list-top")})}, only:'mypage-box', tag:'div'})

        Sortable.create("list-left", {constraint:false, containment:['list-top','list-left','list-

right'], dropOnEmpty:true, handle:'handle', onUpdate:function(){new Ajax.Request('<%= url_for(:con

troller => 'my', :action => 'order_blocks', 'group' => 'left') %>', {asynchronous:true, evalScript

s:true, parameters:Sortable.serialize("list-left")})}, only:'mypage-box', tag:'div'})

        Sortable.create("list-right", {constraint:false, containment:['list-top','list-left','list

-right'], dropOnEmpty:true, handle:'handle', onUpdate:function(){new Ajax.Request('<%= url_for(:co

ntroller => 'my', :action => 'order_blocks', 'group' => 'right') %>', {asynchronous:true, evalScri

pts:true, parameters:Sortable.serialize("list-right")})}, only:'mypage-box', tag:'div'})

Associated revisions

Revision 4380 - 2010-11-07 13:36 - Jean-Philippe Lang

Removed hardcoded links in my/page_layout (#6839).

History

#1 - 2010-11-07 13:30 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 1.0.4

- Resolution set to Fixed
Fixed in r4380. Thanks.

#2 - 2010-11-07 13:30 - Jean-Philippe Lang

- Subject changed from Hardcoded absolute links to Hardcoded absolute links in my/page_layout

#3 - 2010-11-14 12:11 - Jean-Philippe Lang

- Category set to Code cleanup/refactoring

- Status changed from Resolved to Closed

Merged in 1.0-stable in r4400.
